.filter-nav--expanded {}

.filter-nav--expanded .filter-nav__nav {
    display: flex;
    overflow: auto
}

.filter-nav--expanded .filter-nav__list {
    display: inline-flex;
    position: relative
}

.filter-nav--expanded .filter-nav__item {
    flex-shrink: 0;
    position: relative;
    z-index: 1
}

.filter-nav--expanded .filter-nav__btn {
    cursor: pointer
}

.filter-nav--expanded .filter-nav__marker {
    position: absolute;
    width: 0;
    pointer-events: none;
    transition: transform .3s, width .3s;
    transition-timing-function: var(--ease-in-out);
    will-change: width, transform
}

.filter-nav--expanded.filter-nav--v1 .filter-nav__nav {
    padding: var(--space-xs) 0
}

.filter-nav--expanded.filter-nav--v1 .filter-nav__btn {
    margin: 0 var(--space-xxxs);
    padding: var(--space-xxxs) var(--space-xs);
    color: hsla(var(--color-contrast-higher-h), var(--color-contrast-higher-s), var(--color-contrast-higher-l), 0.5);
    transition: color .2s
}

.filter-nav--expanded.filter-nav--v1 .filter-nav__btn:hover {
    color: var(--color-contrast-higher)
}

.filter-nav--expanded.filter-nav--v1 .filter-nav__btn[aria-current=true] {
    color: var(--color-primary)
}

.filter-nav--expanded.filter-nav--v1 .filter-nav__marker {
    top: 0;
    left: 0;
    height: 100%;
    background-color: var(--color-bg-light);
    box-shadow: var(--inner-glow), var(--shadow-sm);
    border-radius: var(--radius-md)
}

.filter-nav--expanded.filter-nav--v2 .filter-nav__list {
    background-color: var(--color-bg-darker);
    padding: var(--space-xxxs);
    border-radius: 50em
}

.filter-nav--expanded.filter-nav--v2 .filter-nav__btn {
    padding: var(--space-xxxs) var(--space-sm);
    color: hsla(var(--color-contrast-higher-h), var(--color-contrast-higher-s), var(--color-contrast-higher-l), 0.5);
    transition: color .2s
}

.filter-nav--expanded.filter-nav--v2 .filter-nav__btn:hover {
    color: var(--color-contrast-higher)
}

.filter-nav--expanded.filter-nav--v2 .filter-nav__btn[aria-current=true] {
    color: var(--color-primary)
}

.filter-nav--expanded.filter-nav--v2 .filter-nav__marker {
    top: var(--space-xxxs);
    left: 0;
    height: calc(100% - var(--space-xxxs) * 2);
    background-color: var(--color-bg-light);
    box-shadow: var(--inner-glow), var(--shadow-sm);
    border-radius: 50em
}

.filter-nav--expanded.filter-nav--v3 .filter-nav__btn {
    padding: var(--space-xxxs) var(--space-sm);
    color: hsla(var(--color-contrast-higher-h), var(--color-contrast-higher-s), var(--color-contrast-higher-l), 0.5);
    transition: color .2s
}

.filter-nav--expanded.filter-nav--v3 .filter-nav__btn:hover {
    color: var(--color-contrast-higher)
}

.filter-nav--expanded.filter-nav--v3 .filter-nav__btn[aria-current=true] {
    color: var(--color-primary)
}

.filter-nav--expanded.filter-nav--v3 .filter-nav__marker {
    bottom: 0;
    left: 0;
    height: 1px;
    background-color: var(--color-primary)
}

.filter-nav--collapsed .filter-nav__wrapper {
    position: fixed;
    z-index: var(--z-index-overlay, 15);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: hsla(var(--color-black-h), var(--color-black-s), var(--color-black-l), 0.9);
    visibility: hidden;
    opacity: 0
}

.filter-nav--collapsed .filter-nav__wrapper--is-visible {
    visibility: visible;
    opacity: 1;
    transition: opacity .3s
}

.filter-nav--collapsed .filter-nav__wrapper--is-visible .filter-nav__nav {
    transform: translateY(0);
    transition: transform .3s
}

.filter-nav--collapsed .filter-nav__nav {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    background-color: var(--color-bg);
    box-shadow: var(--shadow-md);
    max-height: 100%;
    transform: translateY(-1em)
}

.filter-nav--collapsed .filter-nav__list {
    order: 2;
    flex-direction: column;
    overflow: auto;
    padding: 0 0 var(--space-md)
}

.filter-nav--collapsed .filter-nav__list::before {
    content: "";
    display: block;
    width: 100%;
    height: 10px;
    background: linear-gradient(hsla(var(--color-bg-h), var(--color-bg-s), var(--color-bg-l), 1), hsla(var(--color-bg-h), var(--color-bg-s), var(--color-bg-l), 0));
    position: sticky;
    top: 0;
    left: 0;
    z-index: 1
}

.filter-nav--collapsed .filter-nav__btn {
    display: block;
    display: flex;
    align-items: center;
    width: 100%;
    text-align: left;
    font-size: var(--text-md);
    padding: var(--space-xs) var(--space-sm);
    color: hsla(var(--color-contrast-higher-h), var(--color-contrast-higher-s), var(--color-contrast-higher-l), 0.5);
    cursor: pointer
}

.filter-nav--collapsed .filter-nav__btn:hover {
    color: var(--color-contrast-higher)
}

.filter-nav--collapsed .filter-nav__btn[aria-current=true] {
    color: var(--color-primary)
}

.filter-nav--collapsed .filter-nav__btn::before {
    content: "";
    display: block;
    height: 16px;
    width: 16px;
    margin-right: var(--space-xxxs);
    background-color: transparent
}

.filter-nav--collapsed .filter-nav__btn[aria-current=true]::before {
    background-color: var(--color-primary);
    -webkit-mask-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCAxNiAxNic+PHBvbHlsaW5lIHN0cm9rZS13aWR0aD0nMicgc3Ryb2tlPScjMDAwMDAwJyBmaWxsPSdub25lJyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnIHBvaW50cz0nMSw5IDUsMTMgMTUsMyAnLz48L3N2Zz4=);
    mask-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCAxNiAxNic+PHBvbHlsaW5lIHN0cm9rZS13aWR0aD0nMicgc3Ryb2tlPScjMDAwMDAwJyBmaWxsPSdub25lJyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnIHBvaW50cz0nMSw5IDUsMTMgMTUsMyAnLz48L3N2Zz4=)
}

.filter-nav--collapsed .filter-nav__marker {
    display: none !important
}

.filter-nav--collapsed .filter-nav__close-btn {
    --size: 32px;
    width: var(--size);
    height: var(--size);
    display: flex;
    order: 1;
    flex-shrink: 0;
    position: relative;
    z-index: 2;
    margin: var(--space-xs) var(--space-xs) 0 auto;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: var(--color-bg-light);
    box-shadow: var(--inner-glow), var(--shadow-sm);
    transition: .2s
}

.filter-nav--collapsed .filter-nav__close-btn:hover {
    background-color: var(--color-bg-lighter);
    box-shadow: var(--inner-glow), var(--shadow-md)
}

.filter-nav--collapsed .filter-nav__close-btn .icon {
    display: block;
    color: var(--color-contrast-high)
}